Bug 2151328 - Remove Guile Support from GDB
Summary: Remove Guile Support from GDB
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Keith Seitz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38Changes
TreeView+ depends on / blocked
 
Reported: 2022-12-06 18:18 UTC by Ben Cotton
Modified: 2022-12-13 14:36 UTC (History)
2 users (show)

Fixed In Version: gdb-12.1-10.fc38
Doc Type: Release Note
Doc Text:
Guile extension language support in GDB has been disabled. Users with custom Guile scripts for GDB will need to use GDB's Python extension language. See https://fedoraproject.org/w/index.php?title=Changes/RemoveGuileFromGdb
Clone Of:
Environment:
Last Closed: 2022-12-13 14:33:54 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2022-12-06 18:18:10 UTC
This is a tracking bug for Change: Remove Guile Support from GDB
For more details, see: https://fedoraproject.org/wiki/Changes/RemoveGuileFromGdb

Remove Guile extension language support from the GDB package in favor of the widely tested and feature-rich Python support

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Keith Seitz 2022-12-09 18:01:38 UTC
PR#55 implementing this change merged.


Note You need to log in before you can comment on or make changes to this bug.